/*jshint maxlen:10000000 */
Discourse.URL_FIXTURES["/faq"] = "<ul class=\"nav-pills\">\n  <li><a class=\"active\" href=\"/faq\">FAQ</a></li>\n  <li><a href=\"/tos\">Terms of Service</a></li>\n  <li><a href=\"/privacy\">Privacy</a></li>\n</ul>\n\n\n\n<div id=\"civilized\"></div>\n<h2><a href=\"#civilized\">This is a Civilized Place for Public Discussion</a></h2>\n<p>\n  Please treat this discussion forum with the same respect you would a public park.  We, too, are a shared community resource &mdash; a place to share skills, knowledge and interests through ongoing conversation.\n</p>\n<div class=\"more\">\n  <p>\n    These are not hard and fast rules, merely aids to the human judgment of our community. Use these guidelines to keep this a clean, well-lighted place for civilized public discourse.\n  </p>\n</div>\n\n<div id=\"improve\"></div>\n<h2><a href=\"#improve\">Improve the Discussion</a></h2>\n<p>\n  Help us make this a great place for discussion by always working to improve the discussion in some way, however small. If you are not sure your post adds to the discussion or might detract from its usefulness, think over what you want to say and try again later.\n</p>\n<div class=\"more\">\n  <p>\n  The topics discussed here matter to us, and we want you to act as if they matter to you, too. Be respectful of the topics and the people discussing them, even if you disagree with some of what is being said.\n  </p>\n  <p>\n  One way to improve the discussion is by discovering ones that are already happening. Please spend some time browsing the topics here before replying or starting your own, and you\u2019ll have a better chance of meeting others who share your interests.\n  </p>\n</div>\n\n<div id=\"agreeable\"></div>\n<h2><a href=\"#agreeable\">Be Agreeable, Even When You Disagree</a></h2>\n<p>\n  You may wish to respond to something by disagreeing with it. That\u2019s fine. But, remember to <em>criticize ideas, not people</em>.\n  Please avoid:\n  <ul>\n    <li>Name-calling.</li>\n    <li>Ad hominem attacks.</li>\n    <li>Responding to a post\u2019s tone instead of its actual content.</li>\n    <li>Knee-jerk contradiction.</li>\n  </ul>\n<div class=\"more\">\n  <p>\n  Instead, provide reasoned counter-arguments that improve the conversation.\n  </p>\n</div>\n\n<div id=\"participate\"></div>\n<h2><a href=\"#participate\">Your Participation Counts</a></h2>\n<p>\n  The conversations we have here set the tone for everyone. Help us influence the future of this community by choosing to engage in discussions that make this forum an interesting place to be &mdash; and avoiding those that do not.\n</p>\n<div class=\"more\">\n  <p>\n  Discourse provides tools that enable the community to collectively identify the best (and worst) contributions: favorites, bookmarks, likes, flags, replies, edits, and so forth. Use these tools to improve your own experience, and everyone else\u2019s, too.\n  </p>\n  <p>\n  Let\u2019s try to leave our park better than we found it.\n  </p>\n</div>\n\n<div id=\"flag-problems\"></div>\n<h2><a href=\"#flag-problems\">If You See a Problem, Flag It</a></h2>\n<p>\n  Moderators have special authority; they are responsible for this forum. But so are you. With your help, moderators can be community facilitators, not just janitors or police.\n</p>\n<div class=\"more\">\n  <p>\n  When you see bad behavior, don\u2019t reply. It encourages the bad behavior by acknowledging it, consumes your energy, and wastes everyone\u2019s time. <i>Just flag it</i>. If enough flags accrue, action will be taken, either automatically or by moderator intervention.\n  </p>\n  <p>\n  In order to maintain our community, moderators reserve the right to remove any content and any user account for any reason at any time. Moderators do not preview new posts in any way; the moderators and site operators take no responsibility for any content posted by the community.\n  </p>\n</div>\n\n<div id=\"be-civil\"></div>\n<h2><a href=\"#be-civil\">Always Be Civil</a></h2>\n<p>\n  Nothing sabotages a healthy conversation like rudeness:\n  <ul>\n    <li>Be civil. Don\u2019t post anything that a reasonable person would consider offensive, abusive, or hate speech.</li>\n    <li>Keep it clean. Don\u2019t post anything obscene or sexually explicit.</li>\n    <li>Respect each other. Don\u2019t harass or grief anyone,\n      impersonate people, or expose their private information.</li>\n    <li>Respect our forum. Don\u2019t post spam or otherwise vandalize the forum.</li>\n  </ul>\n</p>\n<div class=\"more\">\n  <p>\n  These are not concrete terms with precise definitions &mdash; avoid\n    even the <i>appearance</i> of any of these things. If you\u2019re unsure, ask yourself how you would feel if your post was featured on the front page of the New York Times.\n  </p>\n  <p>\n  This is a public forum, and search engines index these discussions. Keep the language, links, and images safe for family and friends.\n  </p>\n</div>\n\n<div id=\"keep-tidy\"></div>\n<h2><a href=\"#keep-tidy\">Keep It Tidy</a></h2>\n<p>\n  Make the effort to put things in the right place, so that we can spend more time discussing and less cleaning up. So:\n  <ul>\n    <li>Don\u2019t start a topic in the wrong category.</li>\n    <li>Don\u2019t cross-post the same thing in multiple topics.</li>\n    <li>Don\u2019t post no-content replies.</li>\n    <li>Don\u2019t divert a topic by changing it midstream.</li>\n    <li>Don\u2019t sign your posts &mdash; every post has your profile information attached to it.</li>\n  </ul>\n</p>\n<div class=\"more\">\n  <p>\n  Rather than posting \u201c+1\u201d or \u201cAgreed\u201d, use the Like button. Rather than taking an existing topic in a radically different direction, use Reply as a New Topic.\n  </p>\n</div>\n\n<div id=\"stealing\"></div>\n<h2><a href=\"#stealing\">Post Only Your Own Stuff</a></h2>\n<p>\n  You may not post anything digital that belongs to someone else without permission. You may not post descriptions of, links to, or methods for stealing someone\u2019s intellectual property (software, video, audio, images), or for breaking any other law.\n</p>\n<div class=\"more\">\n</div>\n\n<div id=\"tos\"></div>\n<h2><a href=\"tos\">Terms of Service</a></h2>\n<p>\n  Yes, legalese is boring, but we must protect ourselves &ndash; and by extension, you and your data &ndash; against unfriendly folks. We have a <a href=\"/tos\">Terms of Service</a> describing your (and our) behavior and rights related to content, privacy, and laws. To use this service, you must agree to abide by our <a href=\"/tos\">TOS</a>.\n</p>\n<div class=\"more\">\n</div>\n\n";
Discourse.URL_FIXTURES["/tos"] = "<ul class=\"nav-pills\">\n  <li><a href=\"/faq\">FAQ</a></li>\n  <li><a class=\"active\" href=\"/tos\">Terms of Service</a></li>\n  <li><a href=\"/privacy\">Privacy</a></li>\n</ul>\n\n<p>\n  The following terms and conditions govern all use of the discourse.org website and all content, services and products available at or through the website, including, but not limited to, discourse.org Forum Software, discourse.org Support Forums and the discourse.org Hosting service (\u201cHosting\u201d), (taken together, the Website). The Website is owned and operated by Civilized Discourse Construction Kit, Inc. (\u201cCDCK\u201d). The Website is offered subject to your acceptance without modification of all of the terms and conditions contained herein and all other operating rules, policies (including, without limitation, discourse.org\u2019s <a href=\"/privacy\">Privacy Policy</a> and <a href=\"/faq\">Community Guidelines</a>) and procedures that may be published from time to time on this Site by CDCK (collectively, the \u201cAgreement\u201d).\n</p>\n\n<p>\n  Please read this Agreement carefully before accessing or using the Website. By accessing or using any part of the web site, you agree to become bound by the terms and conditions of this agreement. If you do not agree to all the terms and conditions of this agreement, then you may not access the Website or use any services. If these terms and conditions are considered an offer by CDCK, acceptance is expressly limited to these terms. The Website is available only to individuals who are at least 13 years old.\n</p>\n\n<div id=\"1\"></div>\n<h2><a href=\"#1\">1. Your discourse.org Account</a></h2>\n<p>\n  If you create an account on the Website, you are responsible for maintaining the security of your account and you are fully responsible for all activities that occur under the account. You must immediately notify CDCK of any unauthorized uses of your account or any other breaches of security. CDCK will not be liable for any acts or omissions by you, including any damages of any kind incurred as a result of such acts or omissions.\n</p>\n\n<div id=\"2\"></div>\n<h2><a href=\"#2\">2. Responsibility of Contributors</a></h2>\n<p>If you post material to the Website, post links on the Website, or otherwise make (or allow any third party to make) material available by means of the Website (any such material, \u201cContent\u201d), You are entirely responsible for the content of, and any harm resulting from, that Content. That is the case regardless of whether the Content in question constitutes text, graphics, an audio file, or computer software. By making Content available, you represent and warrant that:\n</p>\n<ul>\n  <li>the downloading, copying and use of the Content will not infringe the proprietary rights, including but not limited to the copyright, patent, trademark or trade secret rights, of any third party;</li>\n  <li>if your employer has rights to intellectual property you create, you have either (i) received permission from your employer to post or make available the Content, including but not limited to any software, or (ii) secured from your employer a waiver as to all rights in or to the Content;</li>\n  <li>you have fully complied with any third-party licenses relating to the Content, and have done all things necessary to successfully pass through to end users any required terms;</li>\n  <li>the Content does not contain or install any viruses, worms, malware, Trojan horses or other harmful or destructive content;</li>\n  <li>the Content is not spam, is not machine- or randomly-generated, and does not contain unethical or unwanted commercial content designed to drive traffic to third party sites or boost the search engine rankings of third party sites, or to further unlawful acts (such as phishing) or mislead recipients as to the source of the material (such as spoofing);</li>\n  <li>the Content is not pornographic, does not contain threats or incite violence, and does not violate the privacy or publicity rights of any third party;</li>\n  <li>your content is not getting advertised via unwanted electronic messages such as spam links on newsgroups, email lists, blogs and web sites, and similar unsolicited promotional methods;</li>\n  <li>your content is not named in a manner that misleads your readers into thinking that you are another person or company; and</li>\n  <li>you have, in the case of Content that includes computer code, accurately categorized and/or described the type, nature, uses and effects of the materials, whether requested to do so by CDCK or otherwise.</li>\n</ul>\n\n<div id=\"3\"></div>\n<h2><a href=\"#3\">3. User Content License</a></h2>\n<p>User contributions are licensed under a <a href=\"http://creativecommons.org/licenses/by-nc-sa/3.0/deed.en_US\" rel=\"nofollow\">Creative Commons Attribution-NonCommercial-ShareAlike 3.0 Unported License</a>. Without limiting any of those representations or warranties, CDCK has the right (though not the obligation) to, in CDCK\u2019s sole discretion (i) refuse or remove any content that, in CDCK\u2019s reasonable opinion, violates any CDCK policy or is in any way harmful or objectionable, or (ii) terminate or deny access to and use of the Website to any individual or entity for any reason, in CDCK\u2019s sole discretion. CDCK will have no obligation to provide a refund of any amounts previously paid.  </p>\n\n<div id=\"4\"></div>\n<h2><a href=\"#4\">4. Payment and Renewal</a></h2>\n<h3>General Terms</h3>\n<p>\n  Optional paid services or upgrades may be available on the Website. When utilizing an optional paid service or upgrade, you agree to pay CDCK the monthly or annual subscription fees indicated. Payments will be charged on a pre-pay basis on the day you begin utilizing the service or upgrade and will cover the use of that service or upgrade for a monthly or annual subscription period as indicated. These fees are not refundable.\n</p>\n<h3>Automatic Renewal</h3>\n<p>Unless you notify CDCK before the end of the applicable subscription period that you want to cancel a service or upgrade, your subscription will automatically renew and you authorize us to collect the then-applicable annual or monthly subscription fee (as well as any taxes) using any credit card or other payment mechanism we have on record for you. Subscriptions can be canceled at any time.\n</p>\n\n<div id=\"5\"></div>\n<h2><a href=\"#5\">5. Services</a></h2>\n<h3>Hosting, Support Services</h3>\n<p>Optional Hosting and Support services may be provided by CDCK under the terms and conditions for each such service. By signing up for a Hosting/Support or Support services account, you agree to abide by such terms and conditions.\n</p>\n\n<div id=\"6\"></div>\n<h2><a href=\"#6\">6. Responsibility of Website Visitors</a></h2>\n<p>\n  CDCK has not reviewed, and cannot review, all of the material, including computer software, posted to the Website, and cannot therefore be responsible for that material\u2019s content, use or effects. By operating the Website, CDCK does not represent or imply that it endorses the material there posted, or that it believes such material to be accurate, useful or non-harmful. You are responsible for taking precautions as necessary to protect yourself and your computer systems from viruses, worms, Trojan horses, and other harmful or destructive content. The Website may contain content that is offensive, indecent, or otherwise objectionable, as well as content containing technical inaccuracies, typographical mistakes, and other errors. The Website may also contain material that violates the privacy or publicity rights, or infringes the intellectual property and other proprietary rights, of third parties, or the downloading, copying or use of which is subject to additional terms and conditions, stated or unstated. CDCK disclaims any responsibility for any harm resulting from the use by visitors of the Website, or from any downloading by those visitors of content there posted.\n</p>\n\n<div id=\"7\"></div>\n<h2><a href=\"#7\">7. Content Posted on Other Websites</a></h2>\n<p>We have not reviewed, and cannot review, all of the material, including computer software, made available through the websites and webpages to which discourse.org links, and that link to discourse.org. CDCK does not have any control over those non-discourse.org websites and webpages, and is not responsible for their contents or their use. By linking to a non-discourse.org website or webpage, CDCK does not represent or imply that it endorses such website or webpage. You are responsible for taking precautions as necessary to protect yourself and your computer systems from viruses, worms, Trojan horses, and other harmful or destructive content. CDCK disclaims any responsibility for any harm resulting from your use of non-discourse.org websites and webpages.\n</p>\n\n<div id=\"8\"></div>\n<h2><a href=\"#8\">8. Copyright Infringement and DMCA Policy</a></h2>\n<p>\n  As CDCK asks others to respect its intellectual property rights, it respects the intellectual property rights of others. If you believe that material located on or linked to by discourse.org violates your copyright, and if this website resides in the USA, you are encouraged to notify CDCK in accordance with CDCK\u2019s <a href=\"http://en.wikipedia.org/wiki/Digital_Millennium_Copyright_Act\">Digital Millennium Copyright Act</a> (\u201cDMCA\u201d) Policy. CDCK will respond to all such notices, including as required or appropriate by removing the infringing material or disabling all links to the infringing material. CDCK will terminate a visitor\u2019s access to and use of the Website if, under appropriate circumstances, the visitor is determined to be a repeat infringer of the copyrights or other intellectual property rights of CDCK or others. In the case of such termination, CDCK will have no obligation to provide a refund of any amounts previously paid to CDCK.\n</p>\n\n<div id=\"9\"></div>\n<h2><a href=\"#9\">9. Intellectual Property</a></h2>\n<p>\n  This Agreement does not transfer from CDCK to you any CDCK or third party intellectual property, and all right, title and interest in and to such property will remain (as between the parties) solely with CDCK. CDCK, discourse.org, the discourse.org logo, and all other trademarks, service marks, graphics and logos used in connection with discourse.org, or the Website are trademarks or registered trademarks of CDCK or CDCK\u2019s licensors. Other trademarks, service marks, graphics and logos used in connection with the Website may be the trademarks of other third parties. Your use of the Website grants you no right or license to reproduce or otherwise use any CDCK or third-party trademarks.\n</p>\n\n<div id=\"10\"></div>\n<h2><a href=\"#10\">10. Advertisements</a></h2>\n<p>CDCK reserves the right to display advertisements on your content unless you have purchased an Ad-free Upgrade or a Services account.</p>\n\n<div id=\"11\"></div>\n<h2><a href=\"#11\">11. Attribution</a></h2>\n<p>CDCK reserves the right to display attribution links such as \u2018Powered by discourse.org,\u2019 theme author, and font attribution in your content footer or toolbar. Footer credits and the discourse.org toolbar may not be removed regardless of upgrades purchased.</p>\n\n<div id=\"12\"></div>\n<h2><a href=\"#12\">12. Changes</a></h2>\n<p>\nCDCK reserves the right, at its sole discretion, to modify or replace any part of this Agreement. It is your responsibility to check this Agreement periodically for changes. Your continued use of or access to the Website following the posting of any changes to this Agreement constitutes acceptance of those changes. CDCK may also, in the future, offer new services and/or features through the Website (including, the release of new tools and resources). Such new features and/or services shall be subject to the terms and conditions of this Agreement.\n</p>\n\n<div id=\"13\"></div>\n<h2><a href=\"#13\">13. Termination</a></h2>\n<p>\nCDCK may terminate your access to all or any part of the Website at any time, with or without cause, with or without notice, effective immediately. If you wish to terminate this Agreement or your discourse.org account (if you have one), you may simply discontinue using the Website. All provisions of this Agreement which by their nature should survive termination shall survive termination, including, without limitation, ownership provisions, warranty disclaimers, indemnity and limitations of liability.\n</p>\n\n<div id=\"14\"></div>\n<h2><a href=\"#14\">14. Disclaimer of Warranties</a></h2>\n<p>\nThe Website is provided \u201cas is\u201d. CDCK and its suppliers and licensors hereby disclaim all warranties of any kind, express or implied, including, without limitation, the warranties of merchantability, fitness for a particular purpose and non-infringement. Neither CDCK nor its suppliers and licensors, makes any warranty that the Website will be error free or that cess thereto will be continuous or uninterrupted. If you\u2019re actually reading this, here\u2019s <a href=\"http://www.newyorker.com/online/blogs/shouts/2012/12/the-hundred-best-lists-of-all-time.html\">a treat</a>. You understand that you download from, or otherwise obtain content or services through, the Website at your own discretion and risk.\n</p>\n\n<div id=\"15\"></div>\n<h2><a href=\"#15\">15. Limitation of Liability</a></h2>\n<p>\nIn no event will CDCK, or its suppliers or licensors, be liable with respect to any subject matter of this agreement under any contract, negligence, strict liability or other legal or equitable theory for: (i) any special, incidental or consequential damages; (ii) the cost of procurement for substitute products or services; (iii) for interruption of use or loss or corruption of data; or (iv) for any amounts that exceed the fees paid by you to CDCK under this agreement during the twelve (12) month period prior to the cause of action. CDCK shall have no liability for any failure or delay due to matters beyond their reasonable control. The foregoing shall not apply to the extent prohibited by applicable law.\n</p>\n\n<div id=\"16\"></div>\n<h2><a href=\"#16\">16. General Representation and Warranty</a></h2>\n<p>\nYou represent and warrant that (i) your use of the Website will be in strict accordance with the CDCK <a href=\"/privacy\">Privacy Policy</a>, <a href=\"/faq\">Community Guidelines</a>, with this Agreement and with all applicable laws and regulations (including without limitation any local laws or regulations in your country, state, city, or other governmental area, regarding online conduct and acceptable content, and including all applicable laws regarding the transmission of technical data exported from the country in which this website resides or the country in which you reside) and (ii) your use of the Website will not infringe or misappropriate the intellectual property rights of any third party.\n</p>\n\n<div id=\"17\"></div>\n<h2><a href=\"#17\">17. Indemnification</a></h2>\n<p>\nYou agree to indemnify and hold harmless CDCK, its contractors, and its licensors, and their respective directors, officers, employees and agents from and against any and all claims and expenses, including attorneys\u2019 fees, arising out of your use of the Website, including but not limited to your violation of this Agreement.\n</p>\n\n<div id=\"18\"></div>\n<h2><a href=\"#18\">18. Miscellaneous</a></h2>\n<p>This Agreement constitutes the entire agreement between CDCK and you concerning the subject matter hereof, and they may only be modified by a written amendment signed by an authorized executive of CDCK, or by the posting by CDCK of a revised version. Except to the extent applicable law, if any, provides otherwise, this Agreement, any access to or use of the Website will be governed by the laws of the state of California, U.S.A., excluding its conflict of law provisions, and the proper venue for any disputes arising out of or relating to any of the same will be the state and federal courts located in San Francisco County, California. Except for claims for injunctive or equitable relief or claims regarding intellectual property rights (which may be brought in any competent court without the posting of a bond), any dispute arising under this Agreement shall be finally settled in accordance with the Comprehensive Arbitration Rules of the Judicial Arbitration and Mediation Service, Inc. (\u201cJAMS\u201d) by three arbitrators appointed in accordance with such Rules. The arbitration shall take place in San Francisco, California, in the English language and the arbitral decision may be enforced in any court. The prevailing party in any action or proceeding to enforce this Agreement shall be entitled to costs and attorneys\u2019 fees. If any part of this Agreement is held invalid or unenforceable, that part will be construed to reflect the parties\u2019 original intent, and the remaining portions will remain in full force and effect. A waiver by either party of any term or condition of this Agreement or any breach thereof, in any one instance, will not waive such term or condition or any subsequent breach thereof. You may assign your rights under this Agreement to any party that consents to, and agrees to be bound by, its terms and conditions; CDCK may assign its rights under this Agreement without condition. This Agreement will be binding upon and will inure to the benefit of the parties, their successors and permitted assigns.</p>\n\n<p>\n  This document is CC-BY-SA. It was last updated May 31, 2013.<br/>\n  Originally adapted from the <a href=\"http://en.wordpress.com/tos/\">WordPress Terms of Service</a>.\n</p>\n";
Discourse.URL_FIXTURES["/privacy"] = "<ul class=\"nav-pills\">\n  <li><a href=\"/faq\">FAQ</a></li>\n  <li><a href=\"/tos\">Terms of Service</a></li>\n  <li><a class=\"active\" href=\"/privacy\">Privacy</a></li>\n</ul>\n\n\n\n<div id=\"collect\"></div>\n<h2><a href=\"#collect\">What information do we collect?</a></h2>\n<p>\nWe collect information from you when you register on our site and gather data when you participate in the forum by reading, writing, and evaluating the content shared here.\n</p>\n\n<p>\n  When registering on our site, you may be asked to enter your name and e-mail address. You may, however, visit our site without registering. Your e-mail address will be verified by an email containing a unique link. If that link is visited, we know that you control the e-mail address.\n</p>\n\n<p>\n  When registered and posting, we record the IP address that the post originated from. We also may retain server logs which include the IP address of every request to our server.\n</p>\n\n<div id=\"use\"></div>\n<h2><a href=\"#use\">What do we use your information for?</a></h2>\n<p>Any of the information we collect from you may be used in one of the following ways:</p>\n<ul>\n  <li>To personalize your experience &mdash; your information helps us to better respond to your individual needs.</li>\n  <li>To improve our site &mdash; we continually strive to improve our site offerings based on the information and feedback we receive from you.</li>\n  <li>To improve customer service &mdash; your information helps us to more effectively respond to your customer service requests and support needs.</li>\n  <li>To send periodic emails &mdash; The email address you provide may be used to send you information, notifications that you request about changes to topics or in response to your user name, respond to inquiries, and/or other requests or questions.</li>\n</ul>\n\n<div id=\"protect\"></div>\n<h2><a href=\"#use\">How do we protect your information?</a></h2>\n<p>\n  We implement a variety of security measures to maintain the safety of your personal information when you enter, submit, or access your personal information.\n</p>\n\n<div id=\"data-retention\"></div>\n<h2><a href=\"#data-retention\">What is your data retention policy?</a></h2>\n\n<p>\n  We will make a good faith effort to:\n</p>\n<ul>\n  <li>Retain server logs containing the IP address of all requests to this server no more than 90 days.</li>\n  <li>Retain the IP addresses associated with registered users and their posts no more than 5 years.</li>\n</ul>\n</p>\n\n\n<div id=\"cookies\"></div>\n<h2><a href=\"#cookies\">Do we use cookies?</a></h2>\n<p>\n  Yes. Cookies are small files that a site or its service provider transfers to your computer's hard drive through your Web browser (if you allow). These cookies enable the site to recognize your browser and, if you have a registered account, associate it with your registered account.\n</p>\n\n<p>\n  We use cookies to understand and save your preferences for future visits and compile aggregate data about site traffic and site interaction so that we can offer better site experiences and tools in the future. We may contract with third-party service providers to assist us in better understanding our site visitors. These service providers are not permitted to use the information collected on our behalf except to help us conduct and improve our business.\n</p>\n\n<div id=\"disclose\"></div>\n<h2><a href=\"#disclose\">Do we disclose any information to outside parties?</a></h2>\n<p>\nWe do not sell, trade, or otherwise transfer to outside parties your personally identifiable information. This does not include trusted third parties who assist us in operating our site, conducting our business, or servicing you, so long as those parties agree to keep this information confidential. We may also release your information when we believe release is appropriate to comply with the law, enforce our site policies, or protect ours or others rights, property, or safety. However, non-personally identifiable visitor information may be provided to other parties for marketing, advertising, or other uses.\n</p>\n\n<div id=\"third-party\"></div>\n<h2><a href=\"#third-party\">Third party links</a></h2>\n<p>\n  Occasionally, at our discretion, we may include or offer third party products or services on our site. These third party sites have separate and independent privacy policies. We therefore have no responsibility or liability for the content and activities of these linked sites. Nonetheless, we seek to protect the integrity of our site and welcome any feedback about these sites.\n</p>\n\n<div id=\"coppa\"></div>\n<h2><a href=\"#coppa\">Children's Online Privacy Protection Act Compliance</a></h2>\n<p>\nOur site, products and services are all directed to people who are at least 13 years old or older. If this server is in the USA, and you are under the age of 13, per the requirements of COPPA (<a href=\"http://en.wikipedia.org/wiki/Children's_Online_Privacy_Protection_Act\">Children's Online Privacy Protection Act</a>), do not use this site.\n</p>\n\n<div id=\"online\"></div>\n<h2><a href=\"#online\">Online Privacy Policy Only</a></h2>\n<p>\nThis online privacy policy applies only to information collected through our site and not to information collected offline.\n</p>\n\n<div id=\"consent\"></div>\n<h2><a href=\"#consent\">Your Consent</a></h2>\n<p>\nBy using our site, you consent to our web site privacy policy.\n</p>\n\n<div id=\"changes\"></div>\n<h2><a href=\"#changes\">Changes to our Privacy Policy</a></h2>\n<p>\nIf we decide to change our privacy policy, we will post those changes on this page.\n</p>\n\n<p>\n  This document is CC-BY-SA. It was last updated May 31, 2013.\n</p>\n\n";
